
export default function () {
  let height=window.innerHeight
  if (height > 1024) {
    height = window.innerHeight*0.13
  }else{
    height = window.innerHeight*0.275
  }
  const options={
    height:height,
    align:'center',
    border: true,
    resizable: true,
    keepSource:true,
    size:'mini',
    showOverflow: true,
    scrollY:{enable:true},
    data:[],
    ycldw:[]
  }

  const ext={}
  const setExt=function (key,value){
    ext[key]=value
  }
  const gdhFormat=function ({cellValue}){
    if (cellValue){
      return 'PW'+cellValue
    }
    return ''
  }
  const nameFormat=function ({cellValue}){
    const workers=ext.workers
    for (const item of workers) {
      if(item.userCode===cellValue){
        return item.userName
      }
    }
  }
  const dwFormat=function ({cellValue}){
    for (const item of options.ycldw) {
      if (cellValue===item.id){
        return item.name
      }
    }
    return cellValue
  }
  const ztFormat=function ({cellValue}){
    return ztEnmu[cellValue]
  }
  const ztEnmu={
    '31':'派工',
    '32':'报工'
  }
  const columns = [
    { type: 'checkbox', width: 40 },
    { type: 'seq',title:'序号', width: 60 },
    { field: 'djh',title:'派工单号', width: 120},
    // {field: 'slycldw', title: '垛位', width: 60,formatter: dwFormat},
    // {field: 'slyclcs', title: '层数', width: 60},
    {field: 'dcCh', title: '船号', width: 80,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    {field: 'dcPl', title: '批量', width: 80,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    {field: 'wpgg', title: '材质', width: 80,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    {field: 'wpxh', title: '规格', width: 70},
    {field: 'sllph', title: '炉批号', width: 100},
    {field: 'tzbh', title: '套料图号', width: 100},
    // {field: 'pwry', title: '接收人', width: 80,formatter:nameFormat},
    // {field: 'pwpgrq', title: '接收时间', width: 100},
    {field: 'pwfkry', title: '报工人', width: 80,formatter:nameFormat},
    {field: 'pwfkrq', title: '报工时间', width: 100},
    {field: 'pgr', title: '派工人', width: 80},
    {field: 'pwpgrq', title: '派工时间', width: 100},
  ]

  return {
    options,
    columns,
    setExt
  }
}
